#!/usr/bin/python
#-*-encoding:utf-8-*-

#
# Для того, чтобы скриншоты сохранялись на флешку, нужно определить какому
# /dev/sd.. она соответствует, и добавить в файл /etc/fstab две строки:
#
# /dev/sd..	/k2mnt/USB\040drive	vfat	users,noexec,nosuid,nodev,utf8
# /dev/sd..	/k2mnt/USB\040drive	vfat	users,ro,noexec,nosuid,nodev,utf8
#
# ПРИМЕЧАНИЕ: Элементы строк разделены единичными табами, пробелов нет.
# При включении автомата с флешкой и без нее, она может быть разными /dev/sd..
# в этом случае можно добавить еще две строки для второго варианта.
#

import pygtk
pygtk.require('2.0')
import gtk
import sys
import os
import time

def date_stamp():
	t = time.localtime(time.time())
	return "%04i-%02i-%02i" % (t[0], t[1], t[2])

def time_stamp():
	t = time.localtime(time.time())
	return "%02i-%02i-%02i" % (t[3], t[4], t[5])

width = gtk.gdk.screen_width()
height = gtk.gdk.screen_height()
screenshot = gtk.gdk.Pixbuf.get_from_drawable(
          gtk.gdk.Pixbuf(gtk.gdk.COLORSPACE_RGB, True, 8, width, height),
          gtk.gdk.get_default_root_window(),
          gtk.gdk.colormap_get_system(),
          0, 0, 0, 0, width, height)

DIR = "/tmp/"
SUBDIR = date_stamp()+"/"
NAME = time_stamp()+".png"
os.system("mkdir -p "+DIR+SUBDIR)
screenshot.save(DIR+SUBDIR+NAME, "png")

os.system("DEV_NAME=`cat /etc/mtab | grep \"^/dev/sd.. /k2mnt/USB\" | awk '{print $1}'` && umount $DEV_NAME && mount $DEV_NAME  && mkdir -p /k2mnt/USB\ drive/"+SUBDIR+" && cp "+DIR+SUBDIR+NAME+" /k2mnt/USB\ drive/"+SUBDIR+NAME+" && sync")
